//funciones exportadas compilador borland c++
#ifdef __BORLANDC__
  #define PUBLIC(tipo)  extern "C"  tipo WINAPI _export
#endif
//funciones exportadas compilador microsoft vc++
#ifdef _MSC_VER
  #define PUBLIC(tipo)  extern "C" __declspec(dllexport) tipo WINAPI
#endif
//no se ha probado con otros compiladores
#ifndef PUBLIC
  #error Falta definir simbolo PUBLIC
#endif

#define SEP 11

struct MATRIX {
	char FontName[32];
	long Height;
	long Width;
	long Weight; 
	BYTE CharSet; 
	BYTE Quality;
	long Escapement; 
	BYTE Underline;
	BYTE StrikeOut;
	BYTE Italic;
	long vAlign;
	long hAlign;
	BYTE SingleLine;
	BYTE Effect;
	long fColor;
	long bkColor;
	long Interval;
	char *Text;
} sMatrix;

unsigned long wndNumber;
HINSTANCE hInstance;
HFONT	 newFont;

LRESULT CALLBACK WindowProcedure(HWND, UINT, WPARAM, LPARAM);
PUBLIC(void) strcopy(char *, char *, int , int );
PUBLIC(void) getArgument(char *, char *, int , int );
PUBLIC(long) setAction(HWND ,long , char [], int, char *);
PUBLIC(void) getStringArgument(char *,char *, int, int);
PUBLIC(long) getStringArgSize(char *, int, int);
PUBLIC(long) getNumericArgument(char *, int, int);
PUBLIC(long) Elevar(long, int);
PUBLIC(long) CStrToLng(char *, int);
PUBLIC(HWND) wndOpen(int Backbrush, int wndNum,char *szClassName,DWORD dwExStyle,DWORD dwStyle, int x, int y, int w, int h);